org.activiti.engine.delegate.event.impl

## Class ActivitiProcessCancelledEventImpl

- java.lang.Object
- - org.activiti.engine.delegate.event.impl.ActivitiEventImpl
  - - org.activiti.engine.delegate.event.impl.ActivitiProcessCancelledEventImpl

- All Implemented Interfaces:
    ActivitiCancelledEvent, ActivitiEvent

      public class ActivitiProcessCancelledEventImpl
      extends ActivitiEventImpl
      implements ActivitiCancelledEvent

  An `ActivitiCancelledEvent` implementation.
  Author:
    martin.grofcik

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Object` | `cause`

    - ### Fields inherited from class org.activiti.engine.delegate.event.impl.ActivitiEventImpl

      `executionId, processDefinitionId, processInstanceId, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActivitiProcessCancelledEventImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getCause()`
    `void` | `setCause(Object cause)`

    - ### Methods inherited from class org.activiti.engine.delegate.event.impl.ActivitiEventImpl

      `getEngineServices, getExecutionId, getProcessDefinitionId, getProcessInstanceId, getType, setExecutionId, setProcessDefinitionId, setProcessInstanceId, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.activiti.engine.delegate.event.ActivitiEvent

      `getEngineServices, getExecutionId, getProcessDefinitionId, getProcessInstanceId, getType`

- - ### Field Detail

    - #### cause

          protected Object cause

  - ### Constructor Detail

    - #### ActivitiProcessCancelledEventImpl

          public ActivitiProcessCancelledEventImpl()

  - ### Method Detail

    - #### setCause

          public void setCause(Object cause)

    - #### getCause

          public Object getCause()

      Specified by:
        `getCause` in interface `ActivitiCancelledEvent`
      Returns:
        the cause of the cancel event. Returns null, if no specific cause has been specified.

Copyright © 2016 Alfresco. All rights reserved.